import pygame


class Particle:

    def __init__(self, x, y, v_x, r, color=(0, 0, 255), m = 0.001):
        self.x = x
        self.y = y
        self.v_x = v_x
        self.r = r
        self.color = color
        self.m = m

    def show(self, screen):
        pygame.draw.circle(screen, self.color, (self.x, self.y), self.r)

    def move(self):
        self.x = self.x + self.v_x
